com.sun.pdfview.decrypt

## Class EncryptionUnsupportedByPlatformException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.pdfview.decrypt.UnsupportedEncryptionException
      - - com.sun.pdfview.decrypt.EncryptionUnsupportedByPlatformException

All Implemented Interfaces:
  java.io.Serializable

    public class EncryptionUnsupportedByPlatformException
    extends UnsupportedEncryptionException

Identifies that the specified encryption mechanism, though supported by the product, is not supported by the platform that it is running on; i.e., that either the JCE does not support a required cipher or that its policy is such that a key of a given length can not be used.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EncryptionUnsupportedByPlatformException(java.lang.String message)`
`EncryptionUnsupportedByPlatformException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EncryptionUnsupportedByPlatformException

    public EncryptionUnsupportedByPlatformException(java.lang.String message)

#### EncryptionUnsupportedByPlatformException

    public EncryptionUnsupportedByPlatformException(java.lang.String message,
                                            java.lang.Throwable cause)